Bug 225413 - [www/mattermost-webapp][www/mattermost-server] New packages: mattermost-webapp & mattermost-server
Summary: [www/mattermost-webapp][www/mattermost-server] New packages: mattermost-webap...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Olivier Cochard
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-23 22:51 UTC by loic.blot
Modified: 2018-02-02 10:42 UTC (History)
2 users (show)

See Also:


Attachments
mattermost package shar (99.57 KB, application/x-shar)
2018-01-23 22:51 UTC, loic.blot
no flags Details
GIDs.diff (284 bytes, patch)
2018-01-23 22:51 UTC, loic.blot
no flags Details | Diff
UIDs.diff (409 bytes, patch)
2018-01-23 22:52 UTC, loic.blot
no flags Details | Diff
testport mattermost-server (17.13 KB, text/plain)
2018-01-23 22:52 UTC, loic.blot
no flags Details
testport webapp (14.12 KB, text/plain)
2018-01-23 22:52 UTC, loic.blot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description loic.blot 2018-01-23 22:51:07 UTC
Created attachment 190013 [details]
mattermost package shar

Hello
i'm please to give you mattermost-webapp and mattermost-server which are the two parts of mattermost.
For the building process, webapp is extracted from GH release (it uses yarn and it's not very well integrated on FreeBSD) and server is built from sources.
server depends on webapp.

You will find both ports in the shar archive.

Please also note we need a UID and GID slot, i give you both path to update the files.
Comment 1 loic.blot 2018-01-23 22:51:48 UTC
Created attachment 190014 [details]
GIDs.diff
Comment 2 loic.blot 2018-01-23 22:52:05 UTC
Created attachment 190015 [details]
UIDs.diff
Comment 3 loic.blot 2018-01-23 22:52:38 UTC
Created attachment 190016 [details]
testport mattermost-server
Comment 4 loic.blot 2018-01-23 22:52:53 UTC
Created attachment 190017 [details]
testport webapp
Comment 5 Bernard Spil freebsd_committer 2018-01-26 07:23:05 UTC
On your mattermost request: Shouldn't a slack alternative be categories irc ? :D
Comment 6 loic.blot 2018-01-26 07:25:43 UTC
Hello Bernard, it's a webapplication, like many others more than a IRC client, as it doesn't use IRC protocol :)

You closed the PR is this normal ?
Comment 7 Bernard Spil freebsd_committer 2018-01-26 07:28:58 UTC
Apologies, closed wrong PR
Comment 8 loic.blot 2018-01-31 07:25:30 UTC
Bernard, can you take time to review it please ? :)
Comment 9 commit-hook freebsd_committer 2018-02-02 08:40:34 UTC
A commit references this bug:

Author: olivier
Date: Fri Feb  2 08:39:47 UTC 2018
New revision: 460677
URL: https://svnweb.freebsd.org/changeset/ports/460677

Log:
  Add new port: www/mattermost-webapp

  Webapp of Mattermost server

  PR:		225413
  Submitted by:	loic.blot@unix-experience.fr

Changes:
  head/GIDs
  head/UIDs
  head/www/Makefile
  head/www/mattermost-webapp/
  head/www/mattermost-webapp/Makefile
  head/www/mattermost-webapp/distinfo
  head/www/mattermost-webapp/pkg-descr
  head/www/mattermost-webapp/pkg-plist
Comment 10 commit-hook freebsd_committer 2018-02-02 08:50:45 UTC
A commit references this bug:

Author: olivier
Date: Fri Feb  2 08:50:35 UTC 2018
New revision: 460678
URL: https://svnweb.freebsd.org/changeset/ports/460678

Log:
  Add new port: www/mattermost-server

  Open source Slack-alternative in Golang and React

  PR:		225413
  Submitted by:	loic.blot@unix-experience.fr

Changes:
  head/www/Makefile
  head/www/mattermost-server/
  head/www/mattermost-server/Makefile
  head/www/mattermost-server/distinfo
  head/www/mattermost-server/files/
  head/www/mattermost-server/files/mattermostd.in
  head/www/mattermost-server/pkg-descr
  head/www/mattermost-server/pkg-plist
Comment 11 Olivier Cochard freebsd_committer 2018-02-02 08:57:16 UTC
Thanks,

committed but with lot's of fixes, next time:
1. You have to check your port using "portlint -A" before submit it
2. Use different COMMENT for each port
3. If you re-use an existing file from another port, and if this file include an header like # $FreeBSD xxxxxxxx #, don't forget to replace it by a simple # $FreeBSD$

About www/mattermost-server:

WARN: www/mattermost-server/pkg-descr: includes lines that exceed 80 characters.
FATAL: Makefile: [29]: use a tab (not space) after a variable name
FATAL: Makefile: [30]: use a tab (not space) after a variable name
FATAL: Makefile: [32]: use a tab (not space) after a variable name
FATAL: Makefile: [33]: use a tab (not space) after a variable name
WARN: Makefile: [43]: whitespace before end of line.
WARN: Makefile: [47]: whitespace before end of line.

www/mattermost-server/files/mattermostd.in was full of blank spaces at end of lines and a wrong svn keyword

About www/mattermost-webapp:

WARN: www/mattermost-webapp/pkg-descr: includes lines that exceed 80 characters.
FATAL: Makefile: [15]: use a tab (not space) after a variable name
FATAL: Makefile: [19]: use a tab (not space) after a variable name
FATAL: Makefile: [20]: use a tab (not space) after a variable name
FATAL: Makefile: [22]: use a tab (not space) after a variable name
FATAL: Makefile: [23]: use a tab (not space) after a variable name
FATAL: Makefile: [25]: use a tab (not space) after a variable name
WARN: Makefile: [26]: use tab (not space) to make indentation
WARN: Makefile: possible direct use of command "cp" found. use ${CP} instead.
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: use of DISTFILES with single file discouraged. distribution filename should be set by DISTNAME and EXTRACT_SUFX.
WARN: Makefile: DISTFILES/DISTNAME affects WRKSRC. take caution when changing them.
Comment 12 loic.blot 2018-02-02 10:42:00 UTC
Thanks Olivier for your time and your fixes